Fn = 600; % Hz   
Fg = 650; % Hz  
Fd = 8000; %    

N  = 2048; %     (       )

SNR = -6;  %       AWGN  db(   )

a = sin(2*pi*(Fn/Fd).*[1:N] + pi./23); %  
b = sin(2*pi*(Fg/Fd).*[1:N]);          % 

%      
figure(1);
[Ha,Fa] = PSD(a,N,Fd);
subplot(2,1,1);
plot([1:(10.*floor(Fd./Fn))],a(1:(10.*floor(Fd./Fn))),'r'); grid on;
subplot(2,1,2);
plot(Fa,10.*log10(Ha),'r'); grid on;

a = AWGN(a,-6,0);

figure(2);
[Ha,Fa] = PSD(a,N,Fd);
subplot(2,1,1);
plot([1:(10.*floor(Fd./Fn))],a(1:(10.*floor(Fd./Fn))),'r'); grid on;
subplot(2,1,2);
plot(Fa,10.*log10(Ha),'r'); grid on;

%  

for n=1:1:N
    if(a(n)>0) a(n) = 1; else a(n) = 0; end;
    if(b(n)>0) b(n) = 1; else b(n) = 0; end;
end;

figure(3);
[Ha,Fa] = PSD(a,N,Fd);
subplot(2,1,1);
plot([1:(10.*floor(Fd./Fn))],a(1:(10.*floor(Fd./Fn))),'r'); grid on;
subplot(2,1,2);
plot(Fa,10.*log10(Ha),'r'); grid on;

figure(4);
[Hb,Fb] = PSD(b,N,Fd);
subplot(2,1,1);
plot([1:(10.*floor(Fd./Fn))],b(1:(10.*floor(Fd./Fn))),'r'); grid on;
subplot(2,1,2);
plot(Fb,10.*log10(Hb),'r'); grid on;

% 
c = xor(a,b);

%          
%   
for n=1:1:N
    if(c(n)==1) d(n) = 1; else d(n) = -1; end;
end;

figure(5);
[H_d,F_d] = PSD(d,N,Fd);
subplot(2,1,1);
plot([1:(10.*floor(Fd./Fn))],d(1:(10.*floor(Fd./Fn))),'r'); grid on;
subplot(2,1,2);
plot(F_d,10.*log10(H_d),'r'); grid on;



